Jump to content


Will P4Python be updated to support OpenSSL 1.1.x?


  • Please log in to reply
2 replies to this topic

#1 vostok4

vostok4

    Newbie

  • Members
  • Pip
  • 1 posts

Posted 16 August 2017 - 07:56 PM

Are there plans to support OpenSSL 1.1.x? Currently there are some breaking changes from 1.0->1.1 (SSL_library_init for example is deprecated).

#2 p4rfong

p4rfong

    Advanced Member

  • Staff Moderators
  • 343 posts

Posted 18 August 2017 - 12:33 AM

There are currently no plans to update to OpenSSL 1.1.x (not to say that we won't update it in the future)
We are currently at 1.0.2k+
https://www.perforce...pythonnotes.txt

#3 gooseyard

gooseyard

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 27 October 2017 - 02:29 PM

View Postp4rfong, on 18 August 2017 - 12:33 AM, said:

There are currently no plans to update to OpenSSL 1.1.x (not to say that we won't update it in the future)
We are currently at 1.0.2k+
https://www.perforce...pythonnotes.txt

Debian stable is now shipping openssl 1.1.x, it's a pain to be unable to install p4python via pip now. Can you guys at least make available a p4api tarball built against 1.1.x?




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users